status.wikimedia.org showing all lights green during major outage
Closed, InvalidPublic

Description

We had a significant outage of multiple wikis yet our https://status.wikimedia.org was showing 100% green on all services...

That seems illogical to me. What kind of check are we missing here ?

TheDJ created this task.May 24 2018, 8:39 PM
TheDJ triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2018, 8:39 PM
abian added a subscriber: abian.May 24 2018, 8:40 PM
Krenair added a subscriber: Krenair.EditedMay 24 2018, 8:40 PM

I assume that site just hits varnish on some likely heavily-cached pages?

TheDJ added a comment.May 24 2018, 8:40 PM

Status also has checks for "UNCACHED", so...

Framawiki added a subscriber: Framawiki.
KTC added a subscriber: KTC.May 24 2018, 9:24 PM
Vvjjkkii renamed this task from status.wikimedia.org showing all lights green during major outage to xbcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from xbcaaaaaaa to status.wikimedia.org showing all lights green during major outage.
CommunityTechBot added a subscriber: Aklapper.

@TheDJ Guessing this was obvious from the parent task that Reedy added, but the short story is that the existing status.wikimedia.org page is effectively unmaintained (and has been for a while). We're beginning the process of replacing it, and "actually shows outages when outages happen" is by far the most basic requirement for the replacement.

status.wikimedia.org has indeed no usefulness whatsoever: #wikimedia-tech on Freenode is our only real venue to report system status. The larger issue has been discussed at T22079.

fgiunchedi closed this task as Invalid.Jul 26 2018, 10:43 AM
fgiunchedi added a subscriber: fgiunchedi.

Parent task resolved!